Name: compat-libcom_err
Version: 1.0
Release: 7
License: MIT
Group: System Environment/Libraries
Summary: A libcom_err compatibility library
Source: compat-libcom_err-%{version}-6.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#
# The version of e2fsprogs with which we dovetail.  If a package of e2fsprogs
# ever develops the facilities we provide here, it should either obsolete this
# package (if it provides a library with the soname) or add a versioned
# conflict to versions of this package which don't account for this (to avoid
# multiple symbol definitions within one address space).
#
BuildRequires: e2fsprogs-devel >= 1.35

%description
The compat-libcom_err package contains libcom_err.so.3, which may be required
by applications which were built against older packages of MIT Kerberos.

%prep
%setup -q -n %{name}-%{version}-6

%build
%configure --disable-static
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcom_err.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcom_err.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcom_err.so.?
rm -f $RPM_BUILD_ROOT/%{_libdir}/libcom_err.so.?.?

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_libdir}/libcom_err.so.3.?.?

%changelog
* Wed Sep 10 2008 Nalin Dahyabhai <nalin@redhat.com> 1.0-7
- packaging cleanups for rpmlint's sake (John Dennis, #456317)

* Fri Jul 18 2008 Nalin Dahyabhai <nalin@redhat.com> 1.0-6
- rebuild

* Tue Mar  1 2005 Nalin Dahyabhai <nalin@redhat.com> 1.0-5
- rebuild

* Tue Mar  1 2005 Nalin Dahyabhai <nalin@redhat.com> 1.0-4
- rebuild

* Tue Jan  4 2005 Nalin Dahyabhai <nalin@redhat.com> 1.0-3
- rebuild

* Tue Jan  4 2005 Nalin Dahyabhai <nalin@redhat.com> 1.0-2
- rebuild

* Tue Jan  4 2005 Nalin Dahyabhai <nalin@redhat.com> 1.0-1
- bump version and release

* Wed Oct 20 2004 Nalin Dahyabhai <nalin@redhat.com> 0.0-0
- initial revision
